Name:           gnucap
Version:        0.35
Release:        4%{?dist}
Summary:        The Gnu Circuit Analysis Package
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.geda.seul.org/tools/gnucap
Source0:        http://www.geda.seul.org/tools/gnucap/archive/%{name}-%{version}.tar.gz
Patch0:         gnucap-0.34-debian.patch
Patch1:         gnucap-0.35-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  readline-devel

%description
The primary component is a general purpose circuit simulator. It performs
nonlinear dc and transient analyses, fourier analysis, and ac analysis. Spice
compatible models for the MOSFET (level 1-7), BJT, and diode are included in
this release. Gnucap is not based on Spice, but some of the models have been
derived from the Berkeley models. Unlike Spice, the engine is designed to do
true mixed-mode simulation. Most of the code is in place for future support of
event driven analog simulation, and true multi-rate simulation.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
# use ncurses instead of termcap (bz 226771)
sed -i 's/-ltermcap/-lncurses/g' configure


%build
%configure
make %{?_smp_mflags}


%install
# make install uses hardcoded /usr/bin etc paths, so we must do this DIY
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# for %%doc
rm -fr $RPM_BUILD_ROOT%{_datadir}/%{name}
mv doc/acs-tutorial doc/gnucap-tutorial
rm examples/Makefile*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc doc/COPYING doc/history doc/relnotes.* doc/gnucap-tutorial doc/whatisit
%doc man/gnucap-man.pdf examples
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}.1.gz


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.35-4
- Autorebuild for GCC 4.3

* Tue Jan  8 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.35-3
- Fix building with gcc 4.3

* Tue Aug  7 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.35-2
- Update License tag for new Licensing Guidelines compliance

* Wed Feb 14 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.35-1
- New upstream release 0.35
- Link with -lncurses instead of -ltermcap (bz 226771)

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.34-3
- FE6 Rebuild

* Thu Apr 27 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.34-2
- add %%{?_smp_mflags} to the make command (bz 189699)

* Sun Apr 23 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.34-1
- Initial spec file
